# dmd.printast

Provides an AST printer for debugging.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: printast.d

Documentation: https://dlang.org/phobos/dmd_printast.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/printast.d

- `printAST`

  #### Declaration

  `void `printAST`(Expression `e`, int `indent` = 0);`

  Print AST data structure in a nice format.

  #### Parameters

  `Expression `e`` | expression AST to print
  `int `indent`` | indentation level